export const reducer = (state, action) => {
  switch (action.set) {

    case "header":
      if (action.selected)
        return {
          ...state,
          header: {
            ...state.header,
            selected: action.selected
          }
        }
        break;

    default:
      console.warn("Unknown action.type", action)
      return state
  }
}

export const initialState = {
  header: {
    selected: null
  }
}
